
Foreman - Bug #14211

Host image_id has not effect on the actual image to be used when provisioning

03/15/2016 01:13 PM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. create compute resource (e.g. libvirt) with two images configured

2. create a compute profile (libvirt, configure image to be set to first one)

3. provision a host (image-based provisioning) with using the compute profile, but setting --image_id to the second image on the

command line

Actual results:

the image from the compute profile is still used, even when other image was set in the hammer

Expected results:

The host image_id takes precedence over the one from the compute profile

Related issues:

Related to Foreman - Bug #13764: The image selection in compute profile for i... New 02/17/2016

Related to Foreman - Refactor #14536: Better definition of the merging of com... Ready For Testing

Is duplicate of Hammer CLI - Bug #6159: Updating image in compute resource do... Closed

History

#1 - 03/15/2016 01:18 PM - Ivan Necas

- Related to Bug #13764: The image selection in compute profile for image-based provisioning has no effect added

#2 - 03/16/2016 05:51 AM - Dominic Cleal

- Category set to Compute resources

#3 - 04/07/2016 03:48 PM - Ivan Necas

- Related to Refactor #14536: Better definition of the merging of compute attributes from different sources added

#4 - 10/09/2018 10:29 AM - Ivan Necas

- Status changed from New to Duplicate

#5 - 10/09/2018 10:30 AM - Ivan Necas

- Is duplicate of Bug #6159: Updating image in compute resource doesn't update the image_id attribute in compute profiles added
